Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 769491 (CVE-2021-26675, CVE-2021-26676) - <net-misc/connman-1.38_p20210205: Multiple vulnerabilities (CVE-2021-{26675, 26676})
Summary: <net-misc/connman-1.38_p20210205: Multiple vulnerabilities (CVE-2021-{26675, ...
Status: RESOLVED FIXED
Alias: CVE-2021-26675, CVE-2021-26676
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa+ cve]
Keywords:
: 769866 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-02-08 09:15 UTC by Sam James
Modified: 2021-07-12 02:50 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-02-08 09:15:27 UTC
* CVE-2021-26675:
"The commit fixes a stack buffer overflow that can be used to execute code by network adjacent attackers."

Patch 1: https://git.kernel.org/pub/scm/network/connman/connman.git/commit/?id=e4079a20f617a4b076af503f6e4e8b0304c9f2cb

* CVE-2021-26676:
"Remote stack information leak which can be used to help execute CVE-2021-26675 reliably."

Patch 1: https://git.kernel.org/pub/scm/network/connman/connman.git/commit/?id=a74524b3e3fad81b0fd1084ffdf9f2ea469cd9b1
Patch 2: https://git.kernel.org/pub/scm/network/connman/connman.git/commit/?id=58d397ba74873384aee449690a9070bacd5676fa

---
Please apply these patches as soon as possible.
Comment 1 Larry the Git Cow gentoo-dev 2021-02-08 13:36:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=300b4180d98af2f92b3f678c60d35d0d00ca699e

commit 300b4180d98af2f92b3f678c60d35d0d00ca699e
Author:     Ben Kohler <bkohler@gentoo.org>
AuthorDate: 2021-02-08 13:35:52 +0000
Commit:     Ben Kohler <bkohler@gentoo.org>
CommitDate: 2021-02-08 13:36:11 +0000

    net-misc/connman: new snapshot
    
    Bug: https://bugs.gentoo.org/769491
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Ben Kohler <bkohler@gentoo.org>

 net-misc/connman/Manifest                      |   1 +
 net-misc/connman/connman-1.38_p20210205.ebuild | 102 +++++++++++++++++++++++++
 2 files changed, 103 insertions(+)
Comment 2 John Helmert III gentoo-dev Security 2021-02-08 14:47:13 UTC
(In reply to Larry the Git Cow from comment #1)
> The bug has been referenced in the following commit(s):
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=300b4180d98af2f92b3f678c60d35d0d00ca699e
> 
> commit 300b4180d98af2f92b3f678c60d35d0d00ca699e
> Author:     Ben Kohler <bkohler@gentoo.org>
> AuthorDate: 2021-02-08 13:35:52 +0000
> Commit:     Ben Kohler <bkohler@gentoo.org>
> CommitDate: 2021-02-08 13:36:11 +0000
> 
>     net-misc/connman: new snapshot
>     
>     Bug: https://bugs.gentoo.org/769491
>     Package-Manager: Portage-3.0.14, Repoman-3.0.2
>     Signed-off-by: Ben Kohler <bkohler@gentoo.org>
> 
>  net-misc/connman/Manifest                      |   1 +
>  net-misc/connman/connman-1.38_p20210205.ebuild | 102
> +++++++++++++++++++++++++
>  2 files changed, 103 insertions(+)

Well, 2.39 seems to have been cut not long after the snapshot (the release is one commit later). Please proceed with stabilization.
Comment 3 Ben Kohler gentoo-dev 2021-02-08 14:48:47 UTC
Figures =) I'll go ahead and bump to 1.39 now
Comment 4 Larry the Git Cow gentoo-dev 2021-02-08 14:52:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=395c4bdf42044d49bb0eeaf67d77d8307cab4403

commit 395c4bdf42044d49bb0eeaf67d77d8307cab4403
Author:     Ben Kohler <bkohler@gentoo.org>
AuthorDate: 2021-02-08 14:52:02 +0000
Commit:     Ben Kohler <bkohler@gentoo.org>
CommitDate: 2021-02-08 14:52:16 +0000

    net-misc/connman: bump to 1.39, drop unneeded snapshot
    
    Bug: https://bugs.gentoo.org/769491
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Ben Kohler <bkohler@gentoo.org>

 net-misc/connman/Manifest                                           | 2 +-
 .../connman/{connman-1.38_p20210205.ebuild => connman-1.39.ebuild}  | 6 ++----
 2 files changed, 3 insertions(+), 5 deletions(-)
Comment 5 Sam James archtester gentoo-dev Security 2021-02-09 23:57:17 UTC
amd64 done
Comment 6 John Helmert III gentoo-dev Security 2021-02-10 13:45:58 UTC
*** Bug 769866 has been marked as a duplicate of this bug. ***
Comment 7 Sam James archtester gentoo-dev Security 2021-02-11 07:53:48 UTC
x86 done
Comment 8 Sam James archtester gentoo-dev Security 2021-02-11 09:31:03 UTC
ppc done
Comment 9 Sam James archtester gentoo-dev Security 2021-02-13 01:31:19 UTC
ppc64 done
Comment 10 Sam James archtester gentoo-dev Security 2021-02-14 19:44:17 UTC
arm done
Comment 11 Sam James archtester gentoo-dev Security 2021-02-18 07:30:09 UTC
arm64 done

all arches done
Comment 12 Larry the Git Cow gentoo-dev 2021-02-18 13:51:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be41f4372169c62a8f4a12da2b4dacd67f3b5ce4

commit be41f4372169c62a8f4a12da2b4dacd67f3b5ce4
Author:     Ben Kohler <bkohler@gentoo.org>
AuthorDate: 2021-02-18 13:50:58 +0000
Commit:     Ben Kohler <bkohler@gentoo.org>
CommitDate: 2021-02-18 13:51:14 +0000

    net-misc/connman: drop old
    
    Bug: https://bugs.gentoo.org/769491
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Ben Kohler <bkohler@gentoo.org>

 net-misc/connman/Manifest            |   1 -
 net-misc/connman/connman-1.38.ebuild | 100 -----------------------------------
 2 files changed, 101 deletions(-)
Comment 13 John Helmert III gentoo-dev Security 2021-02-19 01:35:19 UTC
Thank you!
Comment 14 John Helmert III gentoo-dev Security 2021-07-11 03:04:11 UTC
GLSA request filed.
Comment 15 GLSAMaker/CVETool Bot gentoo-dev 2021-07-12 02:50:51 UTC
This issue was resolved and addressed in
 GLSA 202107-29 at https://security.gentoo.org/glsa/202107-29
by GLSA coordinator Sam James (sam_c).